# Network › Load Balancer › Tasks API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Network product's sections: https://developers.eu.ovhcloud.com/reference/network/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 2 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/network/load-balancer/tasks/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/network/load-balancer/tasks.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/network/load-balancer/tasks.json?format=openapi3

## Operations

- `GET /ipLoadbalancing/{serviceName}/task` — List tasks
- `GET /ipLoadbalancing/{serviceName}/task/{id}` — Get a task

## List tasks

`GET /1.0/ipLoadbalancing/{serviceName}/task`

Link: https://developers.eu.ovhcloud.com/reference/network/load-balancer/tasks/#get-iploadbalancing-servicename-task

**Status:** Stable production version  
**IAM actions:** `loadbalancer:apiovh:task/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `action` | query | ipLoadbalancing.TaskActionEnum |  | Filter the value of action property (=) — one of `deleteIplb`, `deployIplb`, `install`, `installIplb`, `installZone`, `orderFreeCertificate`, `orderPaidCertificate`, `orderSsl`, `refreshIplb`, `releaseIplb`, `releaseIplbZone`, `reopenIplb`, … |
| `creationDate.from` | query | string (date-time) |  | Filter the value of creationDate property (>=) |
| `creationDate.to` | query | string (date-time) |  | Filter the value of creationDate property (<=) |
| `doneDate.from` | query | string (date-time) |  | Filter the value of doneDate property (>=) |
| `doneDate.to` | query | string (date-time) |  | Filter the value of doneDate property (<=) |
| `serviceName` | path | string | yes | The internal name of your IP load balancing |
| `status` | query | ipLoadbalancing.TaskStatusEnum |  | Filter the value of status property (=) — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `todo` |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/task" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/ipLoadbalancing/{serviceName}/task")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/ipLoadbalancing/{serviceName}/task");

print_r($result);
?>
```

## Get a task

`GET /1.0/ipLoadbalancing/{serviceName}/task/{id}`

Link: https://developers.eu.ovhcloud.com/reference/network/load-balancer/tasks/#get-iploadbalancing-servicename-task-id

**Status:** Stable production version  
**IAM actions:** `loadbalancer:apiovh:task/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | integer | yes | Id of the operation |
| `serviceName` | path | string | yes | The internal name of your IP load balancing |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | ipLoadbalancing.Task.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `action` | ipLoadbalancing.TaskActionEnum | read-only | Operation type — one of `deleteIplb`, `deployIplb`, `install`, `installIplb`, `installZone`, `orderFreeCertificate`, `orderPaidCertificate`, `orderSsl`, `refreshIplb`, `releaseIplb`, `releaseIplbZone`, `reopenIplb`, … |
| `creationDate` | string (date-time) | read-only | Creation date of your operation |
| `doneDate` | string (date-time) | read-only | Done date of your operation |
| `id` | integer | read-only | Id of the operation |
| `progress` | integer | read-only | Operation progress percentage |
| `status` | ipLoadbalancing.TaskStatusEnum | read-only | Current status of your operation — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `todo` |
| `zones` | string[] | read-only | Zone of your Load Balancer which are updated by current Task |

```json
{
  "action": "deleteIplb",
  "creationDate": "2024-01-01T12:00:00Z",
  "doneDate": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "status": "blocked",
  "zones": [
    "string"
  ]
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/task/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/ipLoadbalancing/{serviceName}/task/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/ipLoadbalancing/{serviceName}/task/{id}");

print_r($result);
?>
```
